<apex:page standardController="HOG_Maintenance_Servicing_Form__c" recordSetVar="runsheets" extensions="MaintenanceServicingBulkALTControllerX"  docType="html-5.0" cache="true" >

<style>
    .requiredLoaderBG{
        background-color: rgb(71,71,71);
        opacity:0.7;
        filter:alpha(opacity=70);
        background-image:url(/img/loading32.gif);
        background-position: center center;
        background-repeat: no-repeat;
        height: 100%;
        left: 0;
        position: fixed;
        text-align: center;
        top: 0;
        width: 100%;
        z-index: 1;
    }
    
    input.btn[name="alt_confirmed"] {
        display: none;
    }
 
    </style>
<apex:form >
<apex:pageMessages id="messages" escape="false"/>
<br/>
<apex:commandButton value="Exit" action="{!cancel}" rendered="{!selectedList.Size=0}" />  
<apex:pageBlock id="MainPageBlock"  title="ALT Confirm ({!CurrentIndex} of {!selectedList.Size} Work Orders)" mode="MainDetail" rendered="{!selectedList.Size>0}" >
    <apex:pageBlockButtons location="top" >
          <apex:actionstatus id="ajaxStatus">
        <apex:facet name="stop">
           <apex:outputPanel >
                <apex:commandButton value="Prev" action="{!PreviousWorkOrder}" disabled="{!!HasPreviousWorkOrder}"/>
                <apex:commandButton value="Next" action="{!NextWorkOrder}" disabled="{!!HasNextWorkOrder}"/>
                &nbsp;&nbsp;
                <apex:commandButton value="Confirm" action="{!ConfirmWorkOrder}" disabled="{!CurrentWorkOrder.ALT_Confirmed__c}" 
                        reRender="messages, MainPageBlock, WODetails"  status="ajaxStatus"/>                
                <apex:commandButton value="Exit" action="{!cancel}"/>                     
           </apex:outputPanel>
          </apex:facet>          
          
          
          <apex:facet name="start" >
              <apex:outputPanel >
                <apex:commandButton value="Working..." disabled="true" /> <img src="/img/loading.gif" />                    
                </apex:outputPanel> 
           </apex:facet>    
          </apex:actionStatus>           
        
    
              
    </apex:pageBlockButtons>
  </apex:pageBlock>

</apex:form>  


<apex:detail id="WODetails" subject="{!CurrentWorkOrder.id}" title="false"/>
    

</apex:page>